import { TransformOptions } from '@babel/core';
import { Plugin as Plugin$1 } from 'vite';
import { Plugin } from 'esbuild';

/**
 * Original: https://github.com/nativew/esbuild-plugin-babel
 * Copied, because there was a problem with `type: "module"` in `package.json`
 */
interface ESBuildPluginBabelOptions {
    filter?: RegExp;
    namespace?: string;
    config?: TransformOptions;
}
declare const esbuildPluginBabel: (options?: ESBuildPluginBabelOptions) => Plugin;

interface BabelPluginOptions {
    filter?: RegExp;
    babelConfig?: TransformOptions;
    apply?: 'serve' | 'build';
}
declare const babelPlugin: ({ babelConfig, filter, apply }?: BabelPluginOptions) => Plugin$1;

export { BabelPluginOptions, ESBuildPluginBabelOptions, babelPlugin as default, esbuildPluginBabel };
